Device
Get application devices
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/application/{applicationId}/devices`.
Get application multicast groups
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/application/{applicationId}/multicastGroups`.
Get customer devices
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/customer/{customerId}/devices`.
Get customer device filter values
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/customer/{customerId}/devices/filterValues`.
Get customer multicast groups
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/customer/{customerId}/multicastGroups`.
Save device
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `POST /api/device`.
Get device by eui
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/eui/{eui}`.
Get device by id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/{deviceId}`.
Delete device
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `DELETE /api/device/{deviceId}`.
Get device activity state
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/{deviceId}/activity-state`.
Get downlink queue
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/{deviceId}/downlink`.
Add downlink to queue
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `POST /api/device/{deviceId}/downlink`.
Flush downlink queue
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `DELETE /api/device/{deviceId}/downlink`.
Get device fcnts
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/{deviceId}/fcnts`.
Save device fcnts
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `POST /api/device/{deviceId}/fcnts`.
Get groups for device
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/{deviceId}/multicastGroups`.
Get device online state
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/{deviceId}/online-state`.
Get device session by device id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/device/{deviceId}/session`.
Save multicast group
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `POST /api/multicastGroup`.
Get multicast group by eui
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/multicastGroup/eui/{eui}`.
Get multicast group by id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/multicastGroup/{deviceId}`.
Delete multicast group
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `DELETE /api/multicastGroup/{groupId}`.
Remove device from multicast group
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `DELETE /api/multicastGroup/{groupId}/device/{deviceId}`.
Get devices in group
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/multicastGroup/{groupId}/devices`.
Add devices to multicast group
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `POST /api/multicastGroup/{groupId}/devices`.
Get new unique dev address
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/newUniqueDevAddress`.
Get sub customer devices
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/subCustomer/{subCustomerId}/devices`.
Get sub customer device filter values
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/subCustomer/{subCustomerId}/devices/filterValues`.
Get sub customer multicast groups
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/subCustomer/{subCustomerId}/multicastGroups`.
Get system device by eui
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `GET /api/system/device/eui/{eui}`.
Delete system device
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **device-controller** > `DELETE /api/system/device/{deviceId}`.